rml Namespace Reference

The namespace rml contains components of low-level memory pool interface. More...

## Classes

struct | MemPoolPolicy

## Typedefs

typedef void *(* | rawAllocType )(intptr_t pool_id, size_t &bytes)
typedef int(* | rawFreeType )(intptr_t pool_id, void *raw_ptr, size_t raw_bytes)

## Enumerations

enum | MemPoolError { POOL_OK = TBBMALLOC_OK, INVALID_POLICY = TBBMALLOC_INVALID_PARAM, UNSUPPORTED_POLICY = TBBMALLOC_UNSUPPORTED, NO_MEMORY = TBBMALLOC_NO_MEMORY, NO_EFFECT = TBBMALLOC_NO_EFFECT }

## Functions

MemPoolError | pool_create_v1 (intptr_t pool_id, const MemPoolPolicy *policy, rml::MemoryPool **pool)
bool | pool_destroy (MemoryPool *memPool)
void * | pool_malloc (MemoryPool *memPool, size_t size)
void * | pool_realloc (MemoryPool *memPool, void *object, size_t size)
void * | pool_aligned_malloc (MemoryPool *mPool, size_t size, size_t alignment)
void * | pool_aligned_realloc (MemoryPool *mPool, void *ptr, size_t size, size_t alignment)
bool | pool_reset (MemoryPool *memPool)
bool | pool_free (MemoryPool *memPool, void *object)

## Detailed Description

The namespace rml contains components of low-level memory pool interface.

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.